AuthenticationException (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authentication.client
Class AuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.hadoop.security.authentication.client.AuthenticationException

All Implemented Interfaces:
  Serializable

    public class AuthenticationException

extends Exception

Exception thrown when an authentication error occurrs.

See Also:
  Serialized Form

Constructor Summary
`AuthenticationException(String msg)` Creates an `AuthenticationException`.
`AuthenticationException(String msg, Throwable cause)` Creates an `AuthenticationException`.
`AuthenticationException(Throwable cause)` Creates an `AuthenticationException`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException(Throwable cause)

  Creates an `AuthenticationException`.

  Parameters:
    `cause` - original exception.

### AuthenticationException

    public AuthenticationException(String msg)

  Creates an `AuthenticationException`.

  Parameters:
    `msg` - exception message.

### AuthenticationException

    public AuthenticationException(String msg,
                                   Throwable cause)

  Creates an `AuthenticationException`.

  Parameters:
    `msg` - exception message.
    `cause` - original exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation